/*
  Dubstep Piano Keyboard
  
 Plays a note that changes based on a changing digital input
 
 circuit:
 * 12 pushbuttons (each one) attached to digital pins 1, and 3 through 13 from +5V
 * 12 10K-ohm resistors (each one) attached to digital pins 1, and 3 through 13 from ground
 * 80-ohm speaker on digital pin 2 to ground
 
 created 4 Dec 2013
 revised 8 Dec 2013
 by Alexander John Ball
 
 Part of this code is borrowed from the Tutorial toneKeyboard code:
 
 http://arduino.cc/en/Tutorial/Tone3
  
 */
  
// assign variable names and values for each digital pin (except for digital pin 2 since it is the output pin)

int sensorReading13 = 0 ;
int sensorReading12 = 0 ;
int sensorReading11 = 0 ;
int sensorReading10 = 0 ;
int sensorReading9  = 0 ;
int sensorReading8  = 0 ;
int sensorReading7  = 0 ;
int sensorReading6  = 0 ;
int sensorReading5  = 0 ;
int sensorReading4  = 0 ;
int sensorReading3  = 0 ;
int sensorReading1  = 0 ;

// the setup routine runs forever: 
void setup () {
  
  // declare digital pins 1, as well as 3 to 13 as INPUTs and digital pin 2 as an OUTPUT:
  pinMode (13, INPUT) ;  
  pinMode (12, INPUT) ;
  pinMode (11, INPUT) ; 
  pinMode (10, INPUT) ;
  pinMode (9,  INPUT) ; 
  pinMode (8,  INPUT) ;
  pinMode (7,  INPUT) ;
  pinMode (6,  INPUT) ;
  pinMode (5,  INPUT) ;
  pinMode (4,  INPUT) ;
  pinMode (3,  INPUT) ;
  pinMode (1,  INPUT) ;
  pinMode (2, OUTPUT) ;
  
}   
  
// the loop routine runs forever:
void loop () {
  
  // (Specific for digital pin 13) assign the variable sensorReading13 to digital pin 13. Get a sensor reading:  
  sensorReading13 = digitalRead (13); 
  // if this sensor is HIGH: 
  if (sensorReading13 == HIGH) {
    // play the frequency (in this case 1047 Hz) corresponding to this sensor on a 100 millisecond loop:
    tone(2, 1047, 100) ; 
  }
  
  sensorReading12 = digitalRead (12); 
  if (sensorReading12 == HIGH) {
    tone(2, 1109, 100) ;
  }
  
  sensorReading11 = digitalRead (11); 
  if (sensorReading11 == HIGH) {
    tone(2, 1175, 100) ;
  }
         
  sensorReading10 = digitalRead (10); 
  if (sensorReading10 == HIGH) {
    tone(2, 1245, 100) ;
  }     

  sensorReading9 = digitalRead (9); 
  if (sensorReading9 == HIGH) {
    tone(2, 1319, 100) ;
  }     
  
  sensorReading8 = digitalRead (8); 
  if (sensorReading8 == HIGH) {
    tone(2, 1397, 100) ;
  }     
  
  sensorReading7 = digitalRead (7); 
  if (sensorReading7 == HIGH) {
    tone(2, 1480, 100) ;
  }     
  
  sensorReading6 = digitalRead (6); 
  if (sensorReading6 == HIGH) {
    tone(2, 1568, 100) ;
  }     
  
  sensorReading5 = digitalRead (5); 
  if (sensorReading5 == HIGH) {
    tone(2, 1661, 100) ;
  }     
  
  sensorReading4 = digitalRead (4); 
  if (sensorReading4 == HIGH) {
    tone(2, 1760, 100) ;
  }     
  
  sensorReading3 = digitalRead (3); 
  if (sensorReading3 == HIGH) {
    tone(2, 1865, 100) ;
  }     
  
  sensorReading1 = digitalRead (1); 
  if (sensorReading1 == HIGH) {
    tone(2, 1976, 100) ;
  }     

}

